org.jbpm.services.task.audit.impl.model

## Class TaskVariableImpl

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.TaskVariableImpl

- All Implemented Interfaces:
    Serializable, org.kie.internal.task.api.TaskVariable

      @Entity
      public class TaskVariableImpl
      extends Object
      implements org.kie.internal.task.api.TaskVariable, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.api.TaskVariable

      `org.kie.internal.task.api.TaskVariable.VariableType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskVariableImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Long` | `getId()`
    `Date` | `getModificationDate()`
    `String` | `getName()`
    `String` | `getProcessId()`
    `Long` | `getProcessInstanceId()`
    `Long` | `getTaskId()`
    `org.kie.internal.task.api.TaskVariable.VariableType` | `getType()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setId(Long id)`
    `void` | `setModificationDate(Date modificationDate)`
    `void` | `setName(String name)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `setTaskId(Long taskId)`
    `void` | `setType(org.kie.internal.task.api.TaskVariable.VariableType type)`
    `void` | `setValue(String value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskVariableImpl

          public TaskVariableImpl()

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### getTaskId

          public Long getTaskId()

      Specified by:
        `getTaskId` in interface `org.kie.internal.task.api.TaskVariable`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.task.api.TaskVariable`

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `org.kie.internal.task.api.TaskVariable`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.internal.task.api.TaskVariable`

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in interface `org.kie.internal.task.api.TaskVariable`

    - #### getModificationDate

          public Date getModificationDate()

      Specified by:
        `getModificationDate` in interface `org.kie.internal.task.api.TaskVariable`

    - #### setId

          public void setId(Long id)

    - #### setTaskId

          public void setTaskId(Long taskId)

      Specified by:
        `setTaskId` in interface `org.kie.internal.task.api.TaskVariable`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.task.api.TaskVariable`

    - #### setProcessId

          public void setProcessId(String processId)

      Specified by:
        `setProcessId` in interface `org.kie.internal.task.api.TaskVariable`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `org.kie.internal.task.api.TaskVariable`

    - #### setValue

          public void setValue(String value)

      Specified by:
        `setValue` in interface `org.kie.internal.task.api.TaskVariable`

    - #### setModificationDate

          public void setModificationDate(Date modificationDate)

      Specified by:
        `setModificationDate` in interface `org.kie.internal.task.api.TaskVariable`

    - #### getType

          public org.kie.internal.task.api.TaskVariable.VariableType getType()

      Specified by:
        `getType` in interface `org.kie.internal.task.api.TaskVariable`

    - #### setType

          public void setType(org.kie.internal.task.api.TaskVariable.VariableType type)

      Specified by:
        `setType` in interface `org.kie.internal.task.api.TaskVariable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.